Live Updates
Get Live Update
Retrieve details of a specific live update including its history. Only accessible to users within the same team.
GET
/
live-updates
/
{id}
Get Live Update
curl --request GET \
--url https://answeringagent.com/api/v1/live-updates/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://answeringagent.com/api/v1/live-updates/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://answeringagent.com/api/v1/live-updates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 1,
"title": "Temporary System Maintenance",
"message": "We are currently performing system maintenance. Expected completion time is 2 PM.",
"link": "https://example.com/weekend-sale",
"type": "announcement",
"starts_at": "2025-07-25T14:00:00Z",
"expires_at": "2025-07-25T16:00:00Z",
"is_cancelled": false,
"created_at": "2025-07-25T10:30:00Z",
"updated_at": "2025-07-25T11:45:00Z",
"phone_numbers": [
{
"id": 1,
"name": "Main Office",
"phone_number": "+1234567890"
}
],
"created_by": {
"id": 1,
"name": "John Doe",
"email": "john@example.com"
},
"history": [
{
"id": 123,
"changes": {},
"created_at": "2023-11-07T05:31:56Z",
"user": {
"id": 123,
"name": "<string>",
"email": "<string>"
}
}
]
},
"message": "Live update retrieved successfully"
}{
"error": "API key is required"
}{
"message": "This action is unauthorized."
}{
"message": "Live update not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the live update
⌘I
Get Live Update
